python3のpipについてのメモ

  • 今回、pythonにchainerを入れようとしてエラーが出たので、その対策のメモ
  • 64bitのpython3でしか試していないので、他はどうなるかわかりません。
  • 私のpythonの環境はAnacondaです。

エラー内容

  • 次のようなエラーが出てきた。

Exception:
Traceback (most recent call last):
File "c:\programdata\anaconda3\lib\site-packages\pip\compat_init.py", line 73, in console_to_str
return s.decode(sys.
stdout_.encoding)
UnicodeDecodeError: 'utf-8' codec can't decode byte 0x83 in position 95: invalid start byte

During handling of the above exception, another exception occurred:
・・・
・・・(長いので省略)

  • 調べてみるとpipのバージョンが9らしく、エラーが出ているというようなこと。
  • pipの10をダウンロードすることで改善されるよう。
  • コマンドは以下の通り。

  python -m pip install -U https://github.com/pypa/pip/archive/master.zip

  • これで、pipが10になったと思うので、再度チャレンジ。
  • きちんとインストールできたようです。
  • これからchainerを触っていきたいと思います。
Sign up for free and join this conversation.
Sign Up
If you already have a Qiita account log in.